Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 1617)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 1618)
@@ -93,7 +93,6 @@
 	def outOfTextElements = new HashSet<String>();
 	XTZPager pager;
 	
-
 	/**
 	 * Instantiates a new pager.
 	 *
@@ -142,7 +141,6 @@
 		return "";
 	}
 
-
 	private def closeMultiWriter() {
 		if (pagedWriter != null) {
 			def tags = pagedWriter.getTagStack().clone();
@@ -341,13 +339,11 @@
 							}
 							pagedWriter.writeEndElement() // table
 							pagedWriter.writeEndElement() // p
-
 							pagedWriter.writeCharacters("");
 							break;
 						case "ref":
 							pagedWriter.writeStartElement("a")
 							pagedWriter.writeAttribute("href", getAttributeValue(parser, null, "target"));
-
 							pagedWriter.writeAttribute("target", "_blank");
 							pagedWriter.writeAttribute("class", rend);
 							break;
@@ -399,7 +395,6 @@
 									pagedWriter.writeStartElement("b", ["class":rend])
 								}
 							}
-
 							break;
 						case "p":
 						//case "lg":
@@ -529,7 +524,7 @@
 
 							pagedWriter.writeCharacters(wordvalue);
 							pagedWriter.writeEndElement();
-							pagedWriter.writeCharacters("\n")
+							pagedWriter.writeComment("\n")
 							lastword=wordvalue;
 							break;
 						default:
@@ -567,5 +562,4 @@
 		}
 		closeMultiWriter();
 	}
-
 }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy	(revision 1617)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy	(revision 1618)
@@ -428,7 +428,7 @@
 
 							pagedWriter.writeCharacters(wordvalue);
 							pagedWriter.writeEndElement();
-							pagedWriter.writeCharacters("\n")
+							pagedWriter.writeComment("\n")
 							lastword=wordvalue;
 							break;
 						//						default:
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages_fr.properties	(revision 1617)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages_fr.properties	(revision 1618)
@@ -14,8 +14,9 @@
 
 copyTextSelection = Copier la sélection de texte
 
-couldNotFindFirstTextOfP0IDInTheCorpus = ** Échec de la recherche du texte d''ID {0} dans le corpus.
+couldNotFindFirstTextOfP0IDInTheCorpus = ** Impossible de trouver le texte d''identifiant ''{0}'' dans le corpus.
 
+
 edition = Édition
 
 editions = Éditions
Index: tmp/TXMReleasePlugins.site/site.xml
===================================================================
--- tmp/TXMReleasePlugins.site/site.xml	(revision 1617)
+++ tmp/TXMReleasePlugins.site/site.xml	(revision 1618)
@@ -3,22 +3,22 @@
    <description name="TXM Extensions - RELEASE" url="http://txm.textometrie.org/updates/plugins">
       This update site contains the Release plugins for TXM
    </description>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.1576.jar" id="org.txm.backtomedia.feature" version="1.0.0.1576">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.1608.jar" id="org.txm.backtomedia.feature" version="1.0.0.1608">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.1576.jar" id="org.txm.wordcloud.feature" version="1.0.0.1576">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.1608.jar" id="org.txm.wordcloud.feature" version="1.0.0.1608">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1576.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1576">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1608.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1608">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1576.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1576">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1608.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1608">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.textsbalance.feature_1.0.0.1576.jar" id="org.txm.textsbalance.feature" version="1.0.0.1576">
+   <feature url="features/org.txm.textsbalance.feature_1.0.0.1608.jar" id="org.txm.textsbalance.feature" version="1.0.0.1608">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.1576.jar" id="org.txm.annotation.urs.feature" version="1.0.0.1576">
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.1608.jar" id="org.txm.annotation.urs.feature" version="1.0.0.1608">
       <category name="Annotation"/>
    </feature>
    <category-def name="Commands" label="Commands"/>
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SWTResourceManager.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SWTResourceManager.java	(revision 1617)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SWTResourceManager.java	(revision 1618)
@@ -379,7 +379,26 @@
 			m_fontToBoldFontMap.put(baseFont, font);
 		}
 		return font;
-	}
+	}
+	
+	/**
+	 * Returns an italic version of the given {@link Font}.
+	 * 
+	 * @param baseFont
+	 *            the {@link Font} for which a bold version is desired
+	 * @return the italic version of the given {@link Font}
+	 */
+	public static Font getItalicFont(Font baseFont) {
+		Font font = m_fontToBoldFontMap.get(baseFont);
+		if (font == null) {
+			FontData fontDatas[] = baseFont.getFontData();
+			FontData data = fontDatas[0];
+			font = new Font(Display.getCurrent(), data.getName(), data.getHeight(), SWT.ITALIC);
+			m_fontToBoldFontMap.put(baseFont, font);
+		}
+		return font;
+	}
+	
 	/**
 	 * Dispose all of the cached {@link Font}'s.
 	 */
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 1617)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages.properties	(revision 1618)
@@ -3,7 +3,7 @@
 aboutAnnotations=About annotations
 addANewCategory=Add a new category
 affect=Affect
-AffectP0ToSelectionEqualsP1=Affect {0} to selection ({1}).
+AffectP0ToSelectionEqualsP1=Affect {0} to {1} for {1} elements.
 all=All
 allLines=all lines
 annotatingConcordanceSelection=Annotating concordance selection…
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages_fr.properties	(revision 1617)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/messages_fr.properties	(revision 1618)
@@ -3,7 +3,7 @@
 aboutAnnotations=À propos des annotations
 addANewCategory=Ajouter une nouvelle catégorie
 affect=Affecter
-AffectP0ToSelectionEqualsP1=Affectation de {0} à la sélection ({1}).
+AffectP0ToSelectionEqualsP1=Affectation de la valeur {0} à la propriété {1} pour {2} occurrences.
 all=Tous
 allLines=Toutes les lignes
 annotatingConcordanceSelection=Annotation de la sélection de la concordance...
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1617)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1618)
@@ -563,7 +563,7 @@
 			return;
 		}
 
-		Log.info(NLS.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add, matches.size()));
+		Log.info(TXMCoreMessages.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 
 		// finally we can 'try' to create the annotations \o/
 		try {
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 1617)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 1618)
@@ -20,6 +20,7 @@
 import org.eclipse.jface.viewers.SelectionChangedEvent;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
+import org.eclipse.jface.viewers.ViewerCell;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.KeyEvent;
@@ -27,6 +28,9 @@
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.events.TypedEvent;
+import org.eclipse.swt.graphics.Font;
+import org.eclipse.swt.graphics.FontData;
+import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
@@ -36,6 +40,7 @@
 import org.eclipse.swt.widgets.Text;
 import org.txm.annotation.kr.core.Annotation;
 import org.txm.annotation.kr.core.AnnotationManager;
+import org.txm.annotation.kr.core.CQPAnnotation;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.annotation.kr.core.repository.AnnotationEffect;
@@ -116,6 +121,8 @@
 	protected Concordance concordance;
 	private CQPCorpus corpus;
 	private TableViewerColumn annotationColumnViewer;
+	private Font annotationColummnFont;
+	private Font defaultColummnFont;
 
 	public String getName() {
 		return KRAnnotationUIMessages.motsPropritsInfDfaut;
@@ -204,7 +211,7 @@
 			return;
 		}
 
-		Log.info(NLS.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add, matches.size()));
+		Log.info(TXMCoreMessages.bind(KRAnnotationUIMessages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
@@ -345,13 +352,16 @@
 		annotationColumn.pack();
 		annotationColumn.setResizable(true);
 		annotationColumn.addControlListener(new ConcordanceColumnSizeControlListener(annotationColumn));
+		defaultColummnFont = editor.getContainer().getFont();
+		FontData fdata = defaultColummnFont.getFontData()[0];
+		annotationColummnFont = new Font(Display.getCurrent(), fdata.getName(), fdata.getHeight(), SWT.ITALIC);
 		annotationColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 
 			@Override
 			public String getText(Object element) {
 				Line line = (Line)element;
 				AnnotationLine annotationLine = annotations.getAnnotationLine(line);
-				if (annotationLine == null) return EMPTYTEXT ;
+				if (annotationLine == null) return EMPTYTEXT;
 				if (annotationLine.getAnnotation()!=null) {
 					String value = annotationLine.getAnnotationValue().getStandardName();
 					Annotation a = annotationLine.getAnnotation();
@@ -369,6 +379,22 @@
 					return EMPTYTEXT;
 				}
 			}
+			
+			@Override
+			public Font getFont(Object element) {
+				Line line = (Line)element;
+				
+				AnnotationLine annotationLine = annotations.getAnnotationLine(line);
+				if (annotationLine == null) return null;
+				
+				Annotation a = annotationLine.getAnnotation();
+				if (a == null) return null;
+
+				String value = annotationLine.getAnnotationValue().getStandardName();
+				if (a instanceof CQPAnnotation) return null;
+				
+				return annotationColummnFont;
+			}
 		});
 
 		List<KnowledgeRepository> krs = InitializeKnowledgeRepository.get(corpus.getMainCorpus());
Index: tmp/org.txm.annotation.kr.core/META-INF/persistence.xml
===================================================================
--- tmp/org.txm.annotation.kr.core/META-INF/persistence.xml	(revision 1617)
+++ tmp/org.txm.annotation.kr.core/META-INF/persistence.xml	(revision 1618)
@@ -17,10 +17,7 @@
 			<property name="javax.persistence.jdbc.user" value="SA"/>
 			
 			<property name="eclipselink.logging.level" value="OFF"/>
-<!-- 			<property name="eclipselink.logging.parameters" value="false"/>
- 			<property name="eclipselink.logging.level" value="ON" />
- 			
-		
+<!-- 		
 			<property name="eclipselink.jdbc.read-connections.min" value="1" />
 			<property name="eclipselink.jdbc.write-connections.min" value="1" />
 			<property name="eclipselink.jdbc.batch-writing" value="JDBC" />
@@ -29,9 +26,8 @@
 <!-- Logging 
 			<property name="eclipselink.logging.file" value="output.log"/>
 			<property name="eclipselink.logging.logger" value="JavaLogger"/>
--->
-		
-<!-- 		
+
+			<property name="eclipselink.logging.parameters" value="false"/>
 			<property name="eclipselink.logging.level" value="FINE" />
 			<property name="eclipselink.logging.timestamp" value="false" />
 			<property name="eclipselink.logging.session" value="false" />
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 1617)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 1618)
@@ -163,7 +163,7 @@
 			temporaryAnnotations = tempManager.getAnnotations(type, matches, null, false, overlap);
 			temporaryAnnotations = tempManager.getAnnotationsForMatches(matches, temporaryAnnotations, overlap);
 			
-			List<Annotation> cqpAnnotations = cqpManager.getAnnotationsForMatches(matches, type, overlap);
+			List<? extends Annotation> cqpAnnotations = cqpManager.getAnnotationsForMatches(matches, type, overlap);
 
 		//	System.out.println("Temporary annotations: "+temporaryAnnotations);
 		//	System.out.println("CQP annotations: "+cqpAnnotations);
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1617)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 1618)
@@ -202,9 +202,9 @@
 			return false;
 		}
 
-		System.out.println("Annotations grouped per text for "+annotationsPerTexts.size()+" text"+(annotationsPerTexts.size() > 0?"s":""));
-		System.out.println(" - Writing temporary XML files in: "+tmpXMLTXMDirectory);
-		System.out.println(" - Copying previous version of XML files in: "+previousXMLTXMDirectory);
+		Log.fine("Annotations grouped per text for "+annotationsPerTexts.size()+" text"+(annotationsPerTexts.size() > 0?"s":""));
+		Log.fine(" - Writing temporary XML files in: "+tmpXMLTXMDirectory);
+		Log.fine(" - Copying previous version of XML files in: "+previousXMLTXMDirectory);
 		// for all annotation PER TEXT, update the XML-TXM files
 		currentText = 0;
 		while (currentText < end_limits.length ) { // end limits : 10, 30, 45, 55, 103
@@ -223,17 +223,17 @@
 						} else if (AnnotationEffect.TOKEN.equals(type.getEffect())) {
 							allTokenAnnotations.add(a);
 						} else {
-							System.out.println("Annotation "+a+" with type="+a.getType()+" not found in default KR="+defaultKR);
+							Log.fine("Annotation "+a+" with type="+a.getType()+" not found in default KR="+defaultKR);
 						}
 					} else {
-						System.out.println("Warning: unknowed type: "+a.getType());
+						Log.warning("Warning: unknowed type: "+a.getType());
 					}
 				}
 
 				if (!writeAnnotationsInFile(currentXMLFile, start_limits[currentText], 
 						allSegmentAnnotations, allTokenAnnotations, 
 						tmpXMLTXMDirectory, previousXMLTXMDirectory)) {
-					System.out.println("Error while writing annotations of text "+currentXMLFile);
+					Log.severe("Error while writing annotations of text "+currentXMLFile);
 					return false;
 				} else {
 					if (monitor != null) {
@@ -251,7 +251,7 @@
 	
 	protected boolean writeAnnotationsInFile(File xmlFile, int text_start_position, 
 			ArrayList<Annotation> segmentAnnotations, ArrayList<Annotation> tokenAnnotations, File tmpXMLTXMDirectory, File previousXMLTXMDirectory) throws CqiClientException, IOException, CqiServerError, InvalidCqpIdException, XMLStreamException{
-		Log.info("Writing annotations for text "+xmlFile+" segment annotations="+segmentAnnotations.size()+" token annotations="+tokenAnnotations.size());
+		Log.fine("Writing annotations for text "+xmlFile+" segment annotations="+segmentAnnotations.size()+" token annotations="+tokenAnnotations.size());
 		//System.out.println(segmentAnnotations);
 		//System.out.println(tokenAnnotations);
 
@@ -268,13 +268,13 @@
 					tmpfile.renameTo(xmlFile);
 					return true;
 				} else {
-					System.out.println("Error: could not replace XML-TXM file: "+xmlFile+" with "+tmpfile);
+					Log.severe("Error: could not replace XML-TXM file: "+xmlFile+" with "+tmpfile);
 				}
 			} else {
-				System.out.println("Error: result file "+tmpfile+" is malformed.");
+				Log.severe("Error: result file "+tmpfile+" is malformed.");
 			}
 		} else {
-			System.out.println("Error: while processing "+xmlFile+" in temp dir");
+			Log.severe("Error: while processing "+xmlFile+" in temp dir");
 		}
 		return false;
 	}
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 1617)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 1618)
@@ -176,7 +176,7 @@
 	 * @throws IOException 
 	 * @throws CqiClientException 
 	 */
-	public List<Annotation> getAnnotationsForMatches(List<Match> matches, AnnotationType type, boolean overlap) throws IOException, CqiServerError, CqiClientException {
+	public List<? extends Annotation> getAnnotationsForMatches(List<Match> matches, AnnotationType type, boolean overlap) throws IOException, CqiServerError, CqiClientException {
 		if (type.getEffect().equals(AnnotationEffect.SEGMENT)) {
 			return getSegmentAnnotationsForMatches(matches, type, overlap);
 		} else {
@@ -195,7 +195,7 @@
 	 * @throws IOException 
 	 * @throws CqiClientException 
 	 */
-	public List<Annotation> getTokenAnnotationsForMatches(List<Match> matches, AnnotationType type, boolean overlap) throws IOException, CqiServerError, CqiClientException {
+	public List<? extends Annotation> getTokenAnnotationsForMatches(List<Match> matches, AnnotationType type, boolean overlap) throws IOException, CqiServerError, CqiClientException {
 
 		Property prop = corpus.getProperty(type.getId().toLowerCase());
 		if (prop == null) return nullAnnotationList(matches.size()); // no property, no annotation :)
@@ -208,11 +208,11 @@
 		
 		String[] strs = cqi.cpos2Str(prop.getQualifiedName(), positions);
 		
-		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
+		ArrayList<CQPAnnotation> annotations = new ArrayList<CQPAnnotation>();
 		i = 0;
 		for (String str : strs) {
 			int p = positions[i++];
-			annotations.add(new Annotation(type.getId(), str, p, p));
+			annotations.add(new CQPAnnotation(type.getId(), str, p, p));
 		}
 		//Log.info("TOKEN ANNOTATION CQP VALUES: "+annotations);
 		return annotations;
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotation.java	(revision 0)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotation.java	(revision 1618)
@@ -0,0 +1,11 @@
+package org.txm.annotation.kr.core;
+
+public class CQPAnnotation extends Annotation {
+
+	public CQPAnnotation(String id, String str, int p, int p2) {
+		super(id, str, p, p2);
+	}
+
+	private static final long serialVersionUID = -3539813867449634393L;
+
+}

Property changes on: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotation.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 1617)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 1618)
@@ -1,4 +1,4 @@
 savingP0Annotations=Saving {0} annotations...
 annotationSuccessfullyWritten=Annotations successfully written.
 savingAnnotations=Saving annotations
-annotationSuccesfullyWrittenIntheP0File=Annotations successfully written in the {0} file.
\ No newline at end of file
+annotationSuccesfullyWritten=Annotations successfully written in the {0} file.
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties	(revision 1617)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages_fr.properties	(revision 1618)
@@ -1,4 +1,4 @@
 savingP0Annotations=Enregistrement de {0} annotations...
 annotationSuccessfullyWritten=Annotations enregistrées.
 savingAnnotations=Enregistrement des annotations
-annotationSuccesfullyWrittenIntheP0File=Annotations enregistrées dans le fichier {0}.
\ No newline at end of file
+annotationSuccesfullyWritten=Annotations enregistrées dans le fichier {0}.
\ No newline at end of file
Index: tmp/org.txm.setups/shared/win/txm.nsi
===================================================================
--- tmp/org.txm.setups/shared/win/txm.nsi	(revision 1617)
+++ tmp/org.txm.setups/shared/win/txm.nsi	(revision 1618)
@@ -269,6 +269,7 @@
 	
 	;CreateShortCut "$SMPROGRAMS\TXM${Version}\TXM.lnk" "$INSTDIR\TXM.bat" "$INSTDIR\TXM.ico"
 	CreateShortCut "$SMPROGRAMS\TXM${Version}\TXM.lnk" "$INSTDIR\TXM.bat" "" "$INSTDIR\TXM.ico" 0
+	CreateShortCut "$SMPROGRAMS\TXM${Version}\TXM.lnk" "$INSTDIR\TXM debug.bat" "" "$INSTDIR\TXM.ico" 0
 	
 	CreateShortCut "$SMPROGRAMS\TXM${Version}\uninstall.lnk" "$INSTDIR\uninstall.exe"
 	
Index: tmp/org.txm.rcp.feature/win/TXM debug.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM debug.bat	(revision 0)
+++ tmp/org.txm.rcp.feature/win/TXM debug.bat	(revision 1618)
@@ -0,0 +1 @@
+%~dp0/TXM.bat -consolelog -clean -debug -console -noexit
\ No newline at end of file
Index: tmp/org.txm.rcp.feature/win/TXM.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1617)
+++ tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1618)
@@ -1,4 +1,5 @@
 set installdir=%~dp0
+set ARGS=%*
 set DEBUG=0
 set VERSION=0.8.0
 set USERHOME=%USERPROFILE%\
@@ -77,5 +78,5 @@
 set _JAVA_OPTIONS=-Duser.home="%USERHOME%"
 echo running "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"echo running "%installdir%TXM.exe" -log -run --launcher.ini "%DOTTXM%TXM.ini" -consolelog -clean -debug -console -noexit -data "%TXMHOME%corpora" -user "%DOTTXM%user" -install "%installdir%\"
 REM "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -data "%DOTTXM%corpora" -user "%DOTTXM%user" -install "%installdir%"
-"%installdir%TXM.exe" -log -run --launcher.ini "%DOTTXM%TXM.ini" -consolelog -clean -debug -console -noexit -data "%TXMHOME%corpora" -user "%DOTTXM%user" -install "%installdir%\"
+"%installdir%TXM.exe" -log -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%TXMHOME%corpora" -user "%DOTTXM%user" -install "%installdir%\"
 ) >"%TXMHOME%TXMOutputLogs.txt" 2>"%TXMHOME%TXMErrorLogs.txt" 
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtract.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtract.groovy	(revision 1617)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtract.groovy	(revision 1618)
@@ -226,7 +226,7 @@
 						if(printW)
 						{
 							writer.writeEndElement();
-							writer.writeCharacters("\n");
+							writer.writeComment("\n");
 						}
 					}
 					else
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtractWithMode.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtractWithMode.groovy	(revision 1617)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/WExtractWithMode.groovy	(revision 1618)
@@ -266,7 +266,7 @@
 						if(printW)
 						{
 							writer.writeEndElement();
-							writer.writeCharacters("\n");
+							writer.writeComment("\n");
 						}
 					}
 					else
